(*
     Susie Plug-in header file
*)

unit spi_api;

interface

uses Windows;

type
  // TPictureInfo
  PPictureInfo = ^TPictureInfo;
  TPictureInfo = packed record
    Left:       Longint;
    Top:        Longint;
    Width:      Longint;
    Height:     Longint;
    x_Density:  Word;
    y_Density:  Word;
    colorDepth: Smallint;
    hInfo:      HLOCAL;
  end;

  // TFileInfo
  PFileInfo = ^TFileInfo;
  TFileInfo = packed record
    Method:    array[0..7] of Char;
    Position:  Longint;
    CompSize:  Longint;
    FileSize:  Longint;
    TimeStamp: Longint;
    Path:      array[0..199] of Char;
    FileName:  array[0..199] of Char;
    CRC:       Longint;
  end;

  PProgressCallback = ^TProgressCallback;
  TProgressCallback = function (nNum, nDemon: Integer; lData : Longint): Integer; stdcall;
  // 00IN
  TGetPictureInfo = function (Buf: PChar; Len: Longint; Flag: Integer;
    var PictureInfo: TPictureInfo): Integer; stdcall;
  TGetPluginInfo = function (infono: Integer; buf: PChar; buflen: Integer): Integer; stdcall;
  TIsSupported = function (FileName: PChar; buflen: Longint): Integer; stdcall;
  TGetPicture = function (buf: PChar; len: Longint; flag: Word; pHBInfo: PHandle;
    pHBm: PHandle; ProgressCallback: TProgressCallBack; lData: Longint): Integer; stdcall;

  // 00AM
  TGetArchiveInfo = function (Buf: PChar; Len: Longint; Flag: Integer;
    var PictureInfoHandle: HLocal): Integer; stdcall;
  TGetFileInfo = function (Buf: PChar; Len: Longint; FileName: PChar; Flag: Integer;
      var FileInfo: TFileInfo): Integer; stdcall;
  TGetFile = function (Src: PChar; Len: Longint; Dest: PChar; Flag: Integer;
      ProgressCallback: TProgressCallback; lData: Longint): Integer; stdcall;

implementation
end.
